Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.build
Interface BuildText

    public interface BuildText

This interface organizes textual information for the builder package.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Nested Class Summary
`static class` | `BuildText.Type` Token types.

Field Summary
`static java.lang.String` | `AFTERROOT` Builder error.
`static byte[]` | `ANY` DTD: ANY ELEMENT.
`static java.lang.String` | `ATTCHAR` Scanner Error.
`static java.lang.String` | `ATTCLOSE` Scanner Error.
`static byte[]` | `ATTL` DTD: ATTLIST.
`static java.lang.String` | `BEFOREROOT` Builder error.
`static byte[]` | `CD` DTD: CDATA ELEMENT.
`static byte[]` | `CDATA` CDATA token.
`static java.lang.String` | `CDATASEC` Scanner Error.
`static java.lang.String` | `CHARACTER` Scanner Error.
`static java.lang.String` | `CLOSING` Scanner Error.
`static java.lang.String` | `CLOSINGTAG` Builder error: Tag Mismatch.
`static java.lang.String` | `COMMDASH` Scanner Error.
`static byte[]` | `COMS` DTD:
`static byte[]` | `COND` DTD: NOTATION.
`static byte[]` | `CONE` DTD: NOTATION.
`static java.lang.String` | `CONTCDATA` Scanner Error.
`static java.lang.String` | `DECLENCODE` Scanner Error.
`static java.lang.String` | `DECLSTANDALONE` Scanner Error.
`static java.lang.String` | `DECLSTART` Scanner Error.
`static java.lang.String` | `DECLVERSION` Scanner Error.
`static java.lang.String` | `DECLWRONG` Scanner Error.
`static byte[]` | `DOCDECL` DTD: XML.
`static java.lang.String` | `DOCEMPTY` Scanner error.
`static byte[]` | `DOCTYPE` DTD: Doctype.
`static java.lang.String` | `DUPLATT` Builder error: Attribute Duplicates.
`static byte[]` | `ELEM` DTD: ELEMENT.
`static byte[]` | `EMP` DTD: EMPTY ELEMENT.
`static byte[]` | `ENCOD` XML Document Encoding.
`static byte[]` | `ENT` DTD: ENTITY.
`static byte[]` | `ENT1` DTD: ENTITY ELEMENT.
`static byte[]` | `ENTS` DTD: ENTITIES ELEMENT.
`static java.lang.String` | `ERRDT` DTD: QUOTEERROR.
`static java.lang.String` | `FILEERR` DTD Scanner Error.
`static byte[]` | `FIX` DTD: FIXED ELEMENT.
`static byte[]` | `ID` DTD: ID ELEMENT.
`static byte[]` | `IDR` DTD: IDREF ELEMENT.
`static byte[]` | `IDRS` DTD: IDREFS ELEMENT.
`static byte[]` | `IGNO` DTD: NOTATION.
`static byte[]` | `IMP` DTD: IMPLIED ELEMENT.
`static byte[]` | `INCL` DTD: NOTATION.
`static java.lang.String` | `INVALIDENTITY` Scanner Error.
`static java.lang.String` | `INVEND` Scanner Error.
`static java.lang.String` | `INVNAME` Scanner Error.
`static java.lang.String` | `INVPE` Scanner Error.
`static java.lang.String` | `MOREROOTS` Builder error: Tag Mismatch.
`static byte[]` | `ND` DTD: NDATA ELEMENT.
`static byte[]` | `NMT` DTD: NMTOKEN ELEMENT.
`static byte[]` | `NMTS` DTD: NMTOKENS ELEMENT.
`static byte[]` | `NOT` DTD: NOTATION ELEMENT.
`static byte[]` | `NOTA` DTD: NOTATION.
`static java.lang.String` | `NOWS` Scanner Error.
`static java.lang.String` | `PARSEINVALID` Parser Error.
`static byte[]` | `PC` DTD: #PCDATA ELEMENT.
`static java.lang.String` | `PIRES` Scanner Error.
`static java.lang.String` | `PITEXT` Scanner Error.
`static java.lang.String` | `PUBID` Parser Error.
`static byte[]` | `PUBLIC` DTD: Public.
`static java.lang.String` | `RECENT` Scanner Error.
`static byte[]` | `REQ` DTD: REQUIRED ELEMENT.
`static java.lang.String` | `SCANQUOTE` Parser Error.
`static byte[]` | `SEMI` Ampersand.
`static byte[]` | `STANDALONE` XML Document Standalone flag.
`static byte[]` | `STANDNO` XML Document Standalone flag.
`static byte[]` | `STANDYES` XML Document Standalone flag.
`static byte[]` | `SYSTEM` DTD: System.
`static java.lang.String` | `TEXTENC` Scanner Error.
`static java.lang.String` | `TYPEAFTER` Scanner Error.
`static java.lang.String` | `UNCLOSED` Scanner Error.
`static java.lang.String` | `UNKNOWNENTITY` Scanner Error.
`static java.lang.String` | `UNKNOWNPE` Scanner Error.
`static byte[]` | `VERS` XML Document Version.
`static byte[]` | `VERS10` XML Document Version.
`static byte[]` | `VERS11` XML Document Version.
`static java.lang.String` | `WRONGCHAR` Scanner Error.
`static java.lang.String` | `WSERROR` DTD: WHITESPACEERROR.
`static byte[]` | `XDECL` DTD: XML.
`static java.lang.String` | `XMLCHAR` Scanner Error.

Field Detail

### BEFOREROOT

    static final java.lang.String BEFOREROOT

  Builder error.

  See Also:
    Constant Field Values

### AFTERROOT

    static final java.lang.String AFTERROOT

  Builder error.

  See Also:
    Constant Field Values

### CLOSINGTAG

    static final java.lang.String CLOSINGTAG

  Builder error: Tag Mismatch.

  See Also:
    Constant Field Values

### MOREROOTS

    static final java.lang.String MOREROOTS

  Builder error: Tag Mismatch.

  See Also:
    Constant Field Values

### DUPLATT

    static final java.lang.String DUPLATT

  Builder error: Attribute Duplicates.

  See Also:
    Constant Field Values

### PARSEINVALID

    static final java.lang.String PARSEINVALID

  Parser Error.

  See Also:
    Constant Field Values

### DOCEMPTY

    static final java.lang.String DOCEMPTY

  Scanner error.

  See Also:
    Constant Field Values

### UNCLOSED

    static final java.lang.String UNCLOSED

  Scanner Error.

  See Also:
    Constant Field Values

### CONTCDATA

    static final java.lang.String CONTCDATA

  Scanner Error.

  See Also:
    Constant Field Values

### CDATASEC

    static final java.lang.String CDATASEC

  Scanner Error.

  See Also:
    Constant Field Values

### XMLCHAR

    static final java.lang.String XMLCHAR

  Scanner Error.

  See Also:
    Constant Field Values

### CHARACTER

    static final java.lang.String CHARACTER

  Scanner Error.

  See Also:
    Constant Field Values

### CLOSING

    static final java.lang.String CLOSING

  Scanner Error.

  See Also:
    Constant Field Values

### COMMDASH

    static final java.lang.String COMMDASH

  Scanner Error.

  See Also:
    Constant Field Values

### ATTCHAR

    static final java.lang.String ATTCHAR

  Scanner Error.

  See Also:
    Constant Field Values

### ATTCLOSE

    static final java.lang.String ATTCLOSE

  Scanner Error.

  See Also:
    Constant Field Values

### PITEXT

    static final java.lang.String PITEXT

  Scanner Error.

  See Also:
    Constant Field Values

### PIRES

    static final java.lang.String PIRES

  Scanner Error.

  See Also:
    Constant Field Values

### DECLVERSION

    static final java.lang.String DECLVERSION

  Scanner Error.

  See Also:
    Constant Field Values

### DECLSTART

    static final java.lang.String DECLSTART

  Scanner Error.

  See Also:
    Constant Field Values

### TEXTENC

    static final java.lang.String TEXTENC

  Scanner Error.

  See Also:
    Constant Field Values

### DECLWRONG

    static final java.lang.String DECLWRONG

  Scanner Error.

  See Also:
    Constant Field Values

### DECLENCODE

    static final java.lang.String DECLENCODE

  Scanner Error.

  See Also:
    Constant Field Values

### DECLSTANDALONE

    static final java.lang.String DECLSTANDALONE

  Scanner Error.

  See Also:
    Constant Field Values

### UNKNOWNENTITY

    static final java.lang.String UNKNOWNENTITY

  Scanner Error.

  See Also:
    Constant Field Values

### INVALIDENTITY

    static final java.lang.String INVALIDENTITY

  Scanner Error.

  See Also:
    Constant Field Values

### TYPEAFTER

    static final java.lang.String TYPEAFTER

  Scanner Error.

  See Also:
    Constant Field Values

### SCANQUOTE

    static final java.lang.String SCANQUOTE

  Parser Error.

  See Also:
    Constant Field Values

### PUBID

    static final java.lang.String PUBID

  Parser Error.

  See Also:
    Constant Field Values

### NOWS

    static final java.lang.String NOWS

  Scanner Error.

  See Also:
    Constant Field Values

### WRONGCHAR

    static final java.lang.String WRONGCHAR

  Scanner Error.

  See Also:
    Constant Field Values

### INVNAME

    static final java.lang.String INVNAME

  Scanner Error.

  See Also:
    Constant Field Values

### INVEND

    static final java.lang.String INVEND

  Scanner Error.

  See Also:
    Constant Field Values

### UNKNOWNPE

    static final java.lang.String UNKNOWNPE

  Scanner Error.

  See Also:
    Constant Field Values

### INVPE

    static final java.lang.String INVPE

  Scanner Error.

  See Also:
    Constant Field Values

### RECENT

    static final java.lang.String RECENT

  Scanner Error.

  See Also:
    Constant Field Values

### FILEERR

    static final java.lang.String FILEERR

  DTD Scanner Error.

  See Also:
    Constant Field Values

### WSERROR

    static final java.lang.String WSERROR

  DTD: WHITESPACEERROR.

  See Also:
    Constant Field Values

### ERRDT

    static final java.lang.String ERRDT

  DTD: QUOTEERROR.

  See Also:
    Constant Field Values

### SEMI

    static final byte[] SEMI

  Ampersand.

### CDATA

    static final byte[] CDATA

  CDATA token.

### VERS

    static final byte[] VERS

  XML Document Version.

### VERS10

    static final byte[] VERS10

  XML Document Version.

### VERS11

    static final byte[] VERS11

  XML Document Version.

### ENCOD

    static final byte[] ENCOD

  XML Document Encoding.

### STANDALONE

    static final byte[] STANDALONE

  XML Document Standalone flag.

### STANDYES

    static final byte[] STANDYES

  XML Document Standalone flag.

### STANDNO

    static final byte[] STANDNO

  XML Document Standalone flag.

### DOCDECL

    static final byte[] DOCDECL

  DTD: XML.

### DOCTYPE

    static final byte[] DOCTYPE

  DTD: Doctype.

### SYSTEM

    static final byte[] SYSTEM

  DTD: System.

### PUBLIC

    static final byte[] PUBLIC

  DTD: Public.

### COMS

    static final byte[] COMS

  DTD:

  ### NOTA

      static final byte[] NOTA

    DTD: NOTATION.

  ### ELEM

      static final byte[] ELEM

    DTD: ELEMENT.

  ### ATTL

      static final byte[] ATTL

    DTD: ATTLIST.

  ### ENT

      static final byte[] ENT

    DTD: ENTITY.

  ### COND

      static final byte[] COND

    DTD: NOTATION.

  ### CONE

      static final byte[] CONE

    DTD: NOTATION.

  ### INCL

      static final byte[] INCL

    DTD: NOTATION.

  ### IGNO

      static final byte[] IGNO

    DTD: NOTATION.

  ### XDECL

      static final byte[] XDECL

    DTD: XML.

  ### EMP

      static final byte[] EMP

    DTD: EMPTY ELEMENT.

  ### ANY

      static final byte[] ANY

    DTD: ANY ELEMENT.

  ### PC

      static final byte[] PC

    DTD: #PCDATA ELEMENT.

  ### CD

      static final byte[] CD

    DTD: CDATA ELEMENT.

  ### ND

      static final byte[] ND

    DTD: NDATA ELEMENT.

  ### ID

      static final byte[] ID

    DTD: ID ELEMENT.

  ### IDR

      static final byte[] IDR

    DTD: IDREF ELEMENT.

  ### IDRS

      static final byte[] IDRS

    DTD: IDREFS ELEMENT.

  ### ENTS

      static final byte[] ENTS

    DTD: ENTITIES ELEMENT.

  ### ENT1

      static final byte[] ENT1

    DTD: ENTITY ELEMENT.

  ### NMT

      static final byte[] NMT

    DTD: NMTOKEN ELEMENT.

  ### NMTS

      static final byte[] NMTS

    DTD: NMTOKENS ELEMENT.

  ### NOT

      static final byte[] NOT

    DTD: NOTATION ELEMENT.

  ### REQ

      static final byte[] REQ

    DTD: REQUIRED ELEMENT.

  ### IMP

      static final byte[] IMP

    DTD: IMPLIED ELEMENT.

  ### FIX

      static final byte[] FIX

    DTD: FIXED ELEMENT.

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD